#
# spec file for package perl-Carp-Assert-More
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Carp-Assert-More
Version:        1.16
Release:        lp150.1.3
%define cpan_name Carp-Assert-More
Summary:        Convenience Wrappers Around Carp::Assert
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Carp-Assert-More/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp::Assert)
BuildRequires:  perl(Test::Exception)
Requires:       perl(Carp::Assert)
Requires:       perl(Test::Exception)
%{perl_requires}

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert functions
to make the habit of writing assertions even easier.

Everything in here is effectively syntactic sugar. There's no technical
reason to use

    assert_isa( $foo, 'HTML::Lint' );

instead of

    assert( defined $foo );
    assert( ref($foo) eq 'HTML::Lint' );

other than readability and simplicity of the code.

My intent here is to make common assertions easy so that we as programmers
have no excuse to not use them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Sat Aug  5 2017 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-Carp-Assert-More/Changes
  1.16    Fri Aug  4 14:18:51 CDT 2017
    [ENHANCEMENTS]
    Added the following functions:
  * assert_numeric( $n )
  * assert_all_keys_in( \%%hash, \@keylist )
  * assert_empty( [\%%hash|\@list] )
  * assert_coderef( $ref )
  * assert_isa_in( $ref, \@class_list )
    Thanks to Eric A. Zarko for some of them.  The rest were migrated
    from a private code project.
    Renamed assert_listref() to assert_arrayref(), but keep
    assert_listref() as backward compatibility.  assert_listref()
    may go away in the future.
    [DOCUMENTATION]
    Fixed a goof in the assert_integer() docs.  Thanks, Randy Lauen.
* Mon Jun  3 2013 coolo@suse.com
- updated to 1.14
    [ENHANCEMENTS]
    Added assert_undefined() for Ben Hengst.
    Added assert_unlike().
    [FIXES]
    assert_nonblank() wasn't using the correct message.  Thanks to
    Leland Johnson.
    assert_nonempty() wouldn't work on blessed arrays and refs.
    Now it will.
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.12
  * created by cpanspec 1.78.03
